Bug 508345 - Error: [('/mnt/sysimage//boot/grub', '/mnt/sysimage/mnt//boot/grub', "[Errno 17] File exists: '/mnt/sysimage/mnt//boot/grub'")]
Error: [('/mnt/sysimage//boot/grub', '/mnt/sysimage/mnt//boot/grub', "[Errno ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
anaconda_trace_hash:157609c551de4cd31...
:
: 519109 525085 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 12:54 EDT by k.t.
Modified: 2010-09-17 02:58 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-29 10:56:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (104.05 KB, text/plain)
2009-06-26 12:54 EDT, k.t.
no flags Details
Attached traceback automatically from anaconda. (144.52 KB, text/plain)
2009-07-05 14:46 EDT, Adrian Riley
no flags Details
Attached traceback automatically from anaconda. (454.55 KB, text/plain)
2010-09-17 02:58 EDT, Isaac
no flags Details

  None (edit)
Description k.t. 2009-06-26 12:54:30 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.59-1.fc11 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/livecd.py", line 96, in copytree
    raise Error, errors
  File "/usr/lib/anaconda/livecd.py", line 292, in _doFilesystemMangling
    flags.selinux)
  File "/usr/lib/anaconda/livecd.py", line 349, in doPostInstall
    self._doFilesystemMangling(anaconda)
  File "/usr/lib/anaconda/backend.py", line 285, in doPostInstall
    anaconda.backend.doPostInstall(anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1339, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 79, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 1360, in handleRenderCallback
    self.currentWindow.renderCallback()
Error: [('/mnt/sysimage//boot/grub', '/mnt/sysimage/mnt//boot/grub', "[Errno 17] File exists: '/mnt/sysimage/mnt//boot/grub'")]
Comment 1 k.t. 2009-06-26 12:54:38 EDT
Created attachment 349579 [details]
Attached traceback automatically from anaconda.
Comment 2 Jeremy Katz 2009-06-26 13:05:10 EDT
Was this reusing a pre-existing /boot without formatting it?
Comment 3 k.t. 2009-06-26 15:08:34 EDT
Sorry, I don't remember (but the crash happened near the end of installation process). I think it is related to formatting 200MB /boot as ext2 instead of ext3. Anyway, the installed system was completely unbootable, grub gave me an error (which I didn't wrote down), I gave up and installed Ubuntu repartitioning hard drive again.
Comment 4 Adrian Riley 2009-07-05 14:46:02 EDT
Created attachment 350547 [details]
Attached traceback automatically from anaconda.
Comment 5 Adrian Riley 2009-07-06 04:41:36 EDT
Re comment #2. I was indeed reusing an existing /boot without reformatting. I wasn't aware that would cause a problem. After this the system was unbootable, just got a black screen with the single word "GRUB" (not the command prompt grub>), and unable to enter anything.
Comment 6 Chris Lumens 2009-09-23 09:59:56 EDT
*** Bug 519109 has been marked as a duplicate of this bug. ***
Comment 7 Chris Lumens 2009-09-23 10:00:10 EDT
*** Bug 525085 has been marked as a duplicate of this bug. ***
Comment 8 Isaac 2010-09-17 02:58:32 EDT
Created attachment 447919 [details]
Attached traceback automatically from anaconda.

Note You need to log in before you can comment on or make changes to this bug.